Subject: Re: bug#21573: (no subject)

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Dec 2015 09:14:05 +0200

> From: Alexander Zhukov <[email-masked]>
> Date: Wed, 02 Dec 2015 21:11:45 +0300
> 
> 1. Create Git repo with a one file: some bash scripts with executable
>    bit set, f.e. script.sh.
> 
> 2. Open fresh terminal. I mean close running terminal app with Cmd-Q and
>    run a fresh copy.
> 
> 3. Run Emacs app like this: /Applications/Emacs.app/Contents/MacOS/Emacs
>    -Q &
> 
> 4. Eval in the scratch buffer (file-accessible-directory-p
>    "/private/var/tmp/repo/script.sh"). The result should be 'nil'
> 
> 5. Open file: C-x C-f ".../script.sh"
> 
> 6. Go back the scratch buffer and eval
>    (file-accessible-directory-p ".../script.sh")
>    The result should be 't'.

It is nil here.

> 7. Exit Emacs with C-x C-c
> 
> 8. Run Emacs from the same terminal window as in 3.
> 
> 9. Eval in the scratch buffer
>    (file-accessible-directory-p "/private/var/tmp/repo/script.sh")
>    The result should be t

No, it again returns nil here.  As it should, since this file is not a
directory.

> NB I'm using standard terminal app that goes with OS X.

Could be something OS X specific, I tried on GNU/Linux and on Windows,
and the function always returns nil for files that are not
directories.

I tried both in a Git repository where I have many files, and in a
repository where I have only one shell script, as you mentioned.  The
results are always the same.

What version of Emacs do you use?